org.apache.fop.afp.modca

## Class TagLogicalElement.State

- java.lang.Object
- - org.apache.fop.afp.modca.TagLogicalElement.State

- Enclosing class:
    TagLogicalElement

      public static class TagLogicalElement.State
      extends Object

  Holds the attribute state of a TLE

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ENCODING_NONE` value interpreted as no encoding

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `State(String key, String value)` Constructor
    `State(String key, String value, int encoding)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ENCODING_NONE

          public static final int ENCODING_NONE

      value interpreted as no encoding
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### State

          public State(String key,
                       String value)

      Constructor
      Parameters:
        `key` - the key attribute
        `value` - the value attribute

    - #### State

          public State(String key,
                       String value,
                       int encoding)

      Parameters:
        `key` - the key attribute
        `value` - the value attribute
        `encoding` - the CCSID character set encoding attribute

Copyright © 2023 Apache Software Foundation. All rights reserved.